Package org.apache.sling.launchpad.base.shared

# Interface Notifiable

All Known Implementing Classes:
  `SlingServlet`

public interface Notifiable
The `Notifiable` interface is implemented by the real main class and Sling Servlet for them to be notified from the launcher JAR when the framework has been stopped or updated.

## Method Summary

Modifier and Type
Method
Description
`void`
`stopped()`
Called when the OSGi framework has been stopped because the `Bundle.stop` method has been called on the system bundle.
`void`
`updated(File tmpFile)`
Called when the OSGi framework has been stopped because any of the `Bundle.update` methods has been called on the system bundle.

## Method Details

### stopped

void stopped()
Called when the OSGi framework has been stopped because the `Bundle.stop` method has been called on the system bundle.

### updated

void updated(File tmpFile)
Called when the OSGi framework has been stopped because any of the `Bundle.update` methods has been called on the system bundle.

If a temporary file is provided in the `tmpFile` parameter, that file must be used to replace the current Launcher JAR file and must be used for restarting the framework. Otherwise the framework is restarted from the existing Launcher JAR file.

Parameters:
  `tmpFile` - A temporary file containing the contents of the `InputStream` given to the `Bundle.update(InputStream)` method. If no input stream has been provided, this parameter is `null`.